org.apache.ignite.internal.processors.cache

## Interface GridCacheSwapListener

All Known Implementing Classes:
  GridCacheEntryInfoCollectSwapListener

    public interface GridCacheSwapListener

Provides ability to listen to swap events in cache which is necessary for preloading.

### Method Summary

Methods
`void` `onEntryUnswapped(int part, KeyCacheObject key, GridCacheSwapEntry e)`

### Method Detail

#### onEntryUnswapped

    void onEntryUnswapped(int part,
                        KeyCacheObject key,
                        GridCacheSwapEntry e)
                          throws IgniteCheckedException

Parameters:
  `part` - Partition.
  `key` - Cache key.
  `e` - Entry.
Throws:
  `IgniteCheckedException` - If failed.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.5.0.final
Release Date | : December 29 2015